GRANT ALL ON TABLE public.building_region_hid to dev;

ALTER TABLE public.dept_telephone_number_hid OWNER TO dev;
REVOKE ALL ON TABLE public.dept_telephone_number_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.dept_telephone_number_hid FROM sjt71;
GRANT ALL ON TABLE public.dept_telephone_number_hid TO sjt71;
GRANT SELECT ON TABLE public.dept_telephone_number_hid TO old_cos;
GRANT SELECT ON TABLE public.dept_telephone_number_hid TO mgmt_ro;
GRANT ALL ON TABLE public.dept_telephone_number_hid TO dev;
GRANT SELECT ON TABLE public.dept_telephone_number_hid TO ro_hid;

ALTER TABLE public.research_group_hid OWNER TO dev;
REVOKE ALL ON TABLE public.research_group_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.research_group_hid FROM sjt71;
GRANT ALL ON TABLE public.research_group_hid TO sjt71;
GRANT ALL ON TABLE public.research_group_hid TO dev;
GRANT SELECT ON TABLE public.research_group_hid TO old_cos;
GRANT SELECT ON TABLE public.research_group_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.research_group_hid TO ipreg;
GRANT SELECT ON TABLE public.research_group_hid TO reception;
GRANT SELECT ON TABLE public.research_group_hid TO space_management;
GRANT SELECT ON TABLE public.research_group_hid TO phones;
GRANT SELECT ON TABLE public.research_group_hid TO student_management;
GRANT SELECT ON TABLE public.research_group_hid TO ro_hid;
GRANT SELECT ON TABLE public.research_group_hid TO selfservice;
GRANT SELECT ON TABLE public.research_group_hid TO adreconcile;
GRANT SELECT ON TABLE public.research_group_hid TO groupitreps;
GRANT SELECT ON TABLE public.research_group_hid TO www_sites;
GRANT SELECT ON TABLE public.research_group_hid TO chemnettokens;

ALTER TABLE public.room_hid OWNER TO dev;
REVOKE ALL ON TABLE public.room_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.room_hid FROM sjt71;
GRANT ALL ON TABLE public.room_hid TO sjt71;
GRANT SELECT ON TABLE public.room_hid TO old_cos;
GRANT ALL ON TABLE public.room_hid TO dev;
GRANT SELECT ON TABLE public.room_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.room_hid TO ipreg;
GRANT SELECT ON TABLE public.room_hid TO space_management;
GRANT SELECT ON TABLE public.room_hid TO ro_hid;
GRANT SELECT ON TABLE public.room_hid TO groupitreps;

ALTER TABLE public.person_hid OWNER TO dev;
REVOKE ALL ON TABLE public.person_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.person_hid FROM sjt71;
GRANT ALL ON TABLE public.person_hid TO sjt71;
GRANT ALL ON TABLE public.person_hid TO dev;
GRANT SELECT ON TABLE public.person_hid TO old_cos;
GRANT SELECT ON TABLE public.person_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.person_hid TO space_management;
GRANT SELECT ON TABLE public.person_hid TO ro_hid;
GRANT SELECT ON TABLE public.person_hid TO selfservice;
GRANT SELECT ON TABLE public.person_hid TO www_sites;
GRANT SELECT,INSERT,REFERENCES,DELETE,TRIGGER,UPDATE ON TABLE public.person_hid TO cos;
GRANT SELECT ON TABLE public.person_hid TO ipreg;

ALTER TABLE public.ip_address_hid OWNER TO dev;
REVOKE ALL ON TABLE public.ip_address_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.ip_address_hid FROM sjt71;
GRANT ALL ON TABLE public.ip_address_hid TO sjt71;
GRANT SELECT ON TABLE public.ip_address_hid TO old_cos;
GRANT ALL ON TABLE public.ip_address_hid TO dev;
GRANT SELECT ON TABLE public.ip_address_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.ip_address_hid TO ro_hid;
GRANT SELECT ON TABLE public.ip_address_hid TO groupitreps;

ALTER TABLE public.operating_system_hid OWNER TO dev;
REVOKE ALL ON TABLE public.operating_system_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.operating_system_hid FROM sjt71;
GRANT ALL ON TABLE public.operating_system_hid TO sjt71;
GRANT SELECT ON TABLE public.operating_system_hid TO old_cos;
GRANT SELECT ON TABLE public.operating_system_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.operating_system_hid TO ipreg;
GRANT SELECT ON TABLE public.operating_system_hid TO ro_hid;
GRANT SELECT ON TABLE public.operating_system_hid TO groupitreps;
GRANT ALL ON TABLE public.operating_system_hid TO dev;

ALTER TABLE public.supervisor_hid OWNER TO dev;
REVOKE ALL ON TABLE public.supervisor_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.supervisor_hid FROM sjt71;
GRANT ALL ON TABLE public.supervisor_hid TO sjt71;
GRANT ALL ON TABLE public.supervisor_hid TO dev;
GRANT SELECT ON TABLE public.supervisor_hid TO PUBLIC;
GRANT SELECT ON TABLE public.supervisor_hid TO ro_hid;
GRANT SELECT ON TABLE public.supervisor_hid TO selfservice;

ALTER TABLE public.postgraduate_studentship_type_hid OWNER TO dev;
REVOKE ALL ON TABLE public.postgraduate_studentship_type_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.postgraduate_studentship_type_hid FROM sjt71;
GRANT ALL ON TABLE public.postgraduate_studentship_type_hid TO sjt71;
GRANT ALL ON TABLE public.postgraduate_studentship_type_hid TO dev;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO old_cos;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO admin_team;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO space_management;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO phones;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO student_management;
GRANT SELECT ON TABLE public.postgraduate_studentship_type_hid TO ro_hid;

ALTER TABLE public.staff_category_hid OWNER TO dev;
REVOKE ALL ON TABLE public.staff_category_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.staff_category_hid FROM sjt71;
GRANT ALL ON TABLE public.staff_category_hid TO sjt71;
GRANT ALL ON TABLE public.staff_category_hid TO dev;
GRANT SELECT ON TABLE public.staff_category_hid TO old_cos;
GRANT SELECT ON TABLE public.staff_category_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.staff_category_hid TO space_management;
GRANT SELECT ON TABLE public.staff_category_hid TO admin_team;
GRANT SELECT ON TABLE public.staff_category_hid TO phones;
GRANT SELECT ON TABLE public.staff_category_hid TO student_management;
GRANT SELECT ON TABLE public.staff_category_hid TO ro_hid;

ALTER TABLE public.hardware_type_hid OWNER TO dev;
REVOKE ALL ON TABLE public.hardware_type_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.hardware_type_hid FROM sjt71;
GRANT ALL ON TABLE public.hardware_type_hid TO sjt71;
GRANT SELECT ON TABLE public.hardware_type_hid TO old_cos;
GRANT SELECT ON TABLE public.hardware_type_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.hardware_type_hid TO ipreg;
GRANT SELECT ON TABLE public.hardware_type_hid TO ro_hid;
GRANT SELECT ON TABLE public.hardware_type_hid TO groupitreps;
GRANT ALL ON TABLE public.hardware_type_hid TO dev;

ALTER TABLE public.mentor_hid OWNER TO dev;
REVOKE ALL ON TABLE public.mentor_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.mentor_hid FROM sjt71;
GRANT ALL ON TABLE public.mentor_hid TO sjt71;
GRANT ALL ON TABLE public.mentor_hid TO dev;
GRANT SELECT ON TABLE public.mentor_hid TO admin_team;
GRANT SELECT ON TABLE public.mentor_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.mentor_hid TO ro_hid;

ALTER TABLE public.postgraduate_studentship_hid OWNER TO dev;
REVOKE ALL ON TABLE public.postgraduate_studentship_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.postgraduate_studentship_hid FROM sjt71;
GRANT ALL ON TABLE public.postgraduate_studentship_hid TO sjt71;
GRANT ALL ON TABLE public.postgraduate_studentship_hid TO dev;
GRANT SELECT ON TABLE public.postgraduate_studentship_hid TO PUBLIC;
GRANT SELECT ON TABLE public.postgraduate_studentship_hid TO ro_hid;

ALTER TABLE public.subnet_hid OWNER TO dev;
REVOKE ALL ON TABLE public.subnet_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.subnet_hid FROM sjt71;
GRANT ALL ON TABLE public.subnet_hid TO sjt71;
GRANT ALL ON TABLE public.subnet_hid TO dev;
GRANT SELECT ON TABLE public.subnet_hid TO old_cos;
GRANT SELECT ON TABLE public.subnet_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.subnet_hid TO ro_hid;

ALTER TABLE public.room_type_hid OWNER TO dev;
REVOKE ALL ON TABLE public.room_type_hid FROM PUBLIC;
REVOKE ALL ON TABLE public.room_type_hid FROM sjt71;
GRANT ALL ON TABLE public.room_type_hid TO sjt71;
GRANT ALL ON TABLE public.room_type_hid TO dev;
GRANT SELECT ON TABLE public.room_type_hid TO old_cos;
GRANT SELECT ON TABLE public.room_type_hid TO mgmt_ro;
GRANT SELECT ON TABLE public.room_type_hid TO space_management;
GRANT SELECT ON TABLE public.room_type_hid TO ro_hid;


DROP VIEW public.backup_strategy_hid;
DROP VIEW public.cabinet_hid;
DROP VIEW public.cambridge_college_hid;
DROP VIEW public.first_mentor_hid;
DROP VIEW public.first_supervisor_hid;
DROP VIEW public.funding_source_hid;
DROP VIEW public.funding_type_hid;
DROP VIEW public.head_of_group_hid;
DROP VIEW public.owner_hid;
DROP VIEW public.patch_strategy_hid;
DROP VIEW public.second_mentor_hid;
DROP VIEW public.second_supervisor_hid;
DROP VIEW public.substitute_supervisor_hid;
DROP VIEW public.supervisor_person_hid;
DROP VIEW public.user_hid;
DROP VIEW public.virus_detection_strategy_hid;
